Flummoxed by IT: Installing newer version of node.js on Linux arm